Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_anchor_day": null
}
'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}"
payload = { "billing_anchor_day": None }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({billing_anchor_day: null})
};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscriptions/{subscription_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"uuid": "19c246a2-0ab5-3d16-9195-00d5c451ed24",
"name": "Aut officiis eaque modi.",
"short_description": "Magnam officiis accusantium non rerum sequi qui.",
"status": "draft",
"current_period_start": "2026-03-03T14:05:32.0000000+00:00",
"current_period_end": "2026-04-03T14:05:32.0000000+00:00",
"previous_period_start": "2026-03-03T14:05:32.0000000+00:00",
"previous_period_end": "2026-02-03T14:05:32.0000000+00:00",
"started_at": "2026-03-03T14:05:32.0000000+00:00",
"terminated_at": "2026-03-03T14:05:32.0000000+00:00",
"billing_anchor_day": 20,
"customer": {
"uuid": "a13651d6-148c-4b8d-acd4-06918d21856d",
"auth_id": "a6e0382a-b841-3c2f-be5a-650ec179b4ba",
"name": "Jaron Anderson",
"business_entity_id": "a13651d6-13c7-4372-9279-a5f3d4035e2e",
"currency": "USD"
},
"total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"sub_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"discount_total": {
"currency": "USD",
"amount": "0.00",
"amount_minor": 0
},
"current_phase": {
"uuid": "a8d49ae8-52eb-3c2c-ad19-722116e39043",
"name": "Cumque id voluptas.",
"short_description": "Sit tempore autem et voluptas.",
"start_at": "2026-03-03T14:05:32.0000000+00:00",
"occurrence": "month",
"period": 1,
"end_at": "2027-03-03T14:05:32.0000000+00:00",
"status": "pending",
"created_at": "2026-03-03T14:05:32.0000000+00:00"
},
"has_immediate_termination": true,
"is_in_grace_period": false,
"expires_at": "2026-04-03T14:05:32.0000000+00:00"
}
}Update Single Subscription
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
null
Show child attributes